// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

library omnibus.test.messages_lib;

import 'dart:async';

import 'package:omnibus/omnibus.dart';
import 'package:passive_data/passive_data.dart';

part 'messages.v0.dart';

/// Simple calculation types
enum CalculationOperator { add, subtract, multiply, divide }

/// Storage class for the calculation result to test [toPds] and [fromPds].
class CalculationResult {
  final double result;
  CalculationResult(this.result);
  CalculationResult.fromPds(this.result);
  double toPds() => result;
}
