// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

library omnibus.test.oncomplete_empty_test;

import 'package:test/test.dart';
import 'package:omnibus/omnibus.dart';

void main() {
  // An issue with this was experienced earlier and this test ensures that it
  // won't happen again.
  test('await empty OmnibusResponses for 100ms', () async {
    await new OmnibusResponses([]).onComplete();
  }, timeout: new Timeout(new Duration(milliseconds: 100)));
}
