// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

library omnibus.test.test_all;

import 'package:test/test.dart';

import 'event_test.dart' as event_test;
import 'request_test.dart' as request_test;
import 'global_test.dart' as global_test;
import 'filter_test.dart' as filter_test;
import 'exceptions_test.dart' as exceptions_test;
import 'oncomplete_empty_test.dart' as oncomplete_empty_test;

void main() {
  group('event', event_test.main);
  group('request', request_test.main);
  group('global', global_test.main);
  group('filter', filter_test.main);
  group('exceptions', exceptions_test.main);
  group('oncomplete empty', oncomplete_empty_test.main);
}
